Can not install smost it pro.

I can not install smush it pro, it gives error 500. Please check.

  • Adam Czajczyk

    Hello Al,

    I hope you're well today and thank you for your question!

    I noticed that your site is running on PHP 5.5.38 which is already pretty outdated release. Most hosts allow you to switch PHP version via cPanel so could you please check if you got such an option available?

    If yes, I strongly suggest switching to a newer one, preferably 7.x but at least 5.6.x.

    I also noticed that while PHP on the server is allowed to use up to 256M or memory, your WordPress is set to use only 100M. That should be sufficient value for most of the simple sites but with 27 active plugins (including Visual Composer, which is a nice but "heavy" tool) it might be slightly too less.

    That said, please edit the "wp-config.php" file of your site (using "clean text" editor such as e.g. Notepad++, Sublime or similar or cPanel "File Manager" -> "Code Editor" tool) and look for this line:

    define('WP_MEMORY_LIMIT', '100M');

    If it's there, replace 100M with 256M and save the file. If it's not there, add

    define('WP_MEMORY_LIMIT', '256M');

    above the "/* That's all, stop editing */" line.

    Finally, please access your site via FTP or cPanel "File Manager", go to the /wp-content/plugins/ folder and look for any of these two folders there:

    /wp-smushit
    /wp-smush-pro

    If any of them (or both) is there, delete it.

    After that, please go to "WPMU DEV -> Plugins" folder and try to install WP Smush Pro from there again. Let me know if that worked for your, please.

    Kind regards,
    Adam

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.